Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

DSM Domain APIs

Changing Connection of a DSM Domain

search

Please Note:

Changing Connection of a DSM Domain

Use the patch /v1/cckm/dsm/domains/{id} API to change the connection or basic description of a DSM domain. The connection must have appropriate access permissions on the domain.

Syntax

curl -k '<IP>/api/v1/cckm/dsm/domains/{id}' -X PATCH -H 'Authorization: Bearer AUTHTOKEN' -H --compressed

Here, {id} represents the ID of the DSM domain resource on the CipherTrust Manager. Refer to Adding DSM Domains to find out the resource ID of a domain.

Request Parameters

ParameterTypeDescription
AUTHTOKENstringAuthorization token.
connectionstringName or ID of the new DSM connection.
descriptionstringUpdated or additional information about the domain.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/dsm/domains/83d7b91f-2298-420e-b7a5-ce0dce07a6d9' -X PATCH -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI0MmFmZDExNy02YzllLTRhNGUtOTAwYS1lYjlhNDNjYWE5ZDIiLCJzdWIiOiJsb2NhbHwzMTI5ODdkMS0wOWNiLTQxZTEtOThmNy1jZjRhNzgwNTZiMTMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNDVmOWE3NWUtMzI1NC00NWJkLWE0NzYtOWU2NWUyNjdmNGVkIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImFkYzNiZGQ4LTQ3YmItNGY0Zi05YzJkLWU0ODExOGE3YWI0NiIsImlhdCI6MTYxNDc1MjQzOCwiZXhwIjoxNjE0NzUyNzM4fQ.6S9ae8ESCkT6-aOd3vX2fdtq_jG1kUn6TWthrr9ZVms' -H 'Content-Type: application/json' --data-binary $'{\n  "connection": "new-connection",\n  "description": "This domain is used for testing."\n}' --compressed

Example Response

{
    "id": "83d7b91f-2298-420e-b7a5-ce0dce07a6d9",
    "uri": "kylo:kylo:cckm:domain:83d7b91f-2298-420e-b7a5-ce0dce07a6d9",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2021-03-03T06:15:15.622119Z",
    "updatedAt": "2021-03-03T06:21:21.552824251Z",
    "dsm_params": {
        "id": 1769,
        "url": "/v1/domains/1769",
        "name": "testkeydomain",
        "adminType": "ALL_ADMIN",
        "kmipEnabled": false,
        "fingerprintRegistrationDisabled": false,
        "registrationTokenEnabled": false
    },
    "connection": "new-connection",
    "synced_at": null,
    "description": "This domain is used for testing."
}

The output shows the updated description and new DSM domain new-connection.

Response Codes

Response CodeDescription
2xxSuccess
4xxClient errors
5xxServer errors

Refer to HTTP status codes for details.